<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>AddressUtil</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="declaration: package: fr.ici.buildingActivity.address, class: AddressUtil">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.buildingActivity.address</a></div>
<h1 title="Class AddressUtil" class="title">Class AddressUtil</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">fr.ici.buildingActivity.address.AddressUtil</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">AddressUtil</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">AddressUtil</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectAndSumSingleFieldPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String,java.lang.String)" class="member-name-link">affectAndSumSingleFieldPerAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;fieldIn,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;fieldOut)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Sum a field to the closest address.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectBuildingIDsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)" class="member-name-link">affectBuildingIDsPerAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Affect the ID of buildings (from ICI objects) to the closest address(es).</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectBuildingToAddress(java.util.List,java.util.List)" class="member-name-link">affectBuildingToAddress</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lB,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Attach building information for each address.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectDemoStatPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String%5B%5D)" class="member-name-link">affectDemoStatPerAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;fields)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Sum the affected (demographic) data of buildings to the closest address.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectDemoStatToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String%5B%5D)" class="member-name-link">affectDemoStatToAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;demoColl)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Affect demographic statistics in a building to (the closest) address.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectFieldToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,java.lang.String,java.lang.String%5B%5D)" class="member-name-link">affectFieldToAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;methodToUse,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;mandatoryAttrName,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;demoColl)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Affect fields of an input building collection to (the closest) address.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectHouseholdPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)" class="member-name-link">affectHouseholdPerAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Sum affected households (<i>logements</i> from BDTopo) to the closest address.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectHouseholdsToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">affectHouseholdsToAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Affect the number of households in a building to (the closest) address.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectIndividualsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)" class="member-name-link">affectIndividualsPerAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Sum affected individuals (from <i>H24</i> export) to the closest address(es).</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#affectIndivToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">affectIndivToAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Affect the number of individuals in a building to (the closest) address.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getClosestAddress(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,boolean,double)" class="member-name-link">getClosestAddress</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 <a href="../building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 boolean&nbsp;entrance,
 double&nbsp;distanceToSeek)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Recursively look for an address meter by meter.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getClosestAddress(java.util.List,org.locationtech.jts.geom.Point,double)" class="member-name-link">getClosestAddress</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 org.locationtech.jts.geom.Point&nbsp;p,
 double&nbsp;distanceToSeek)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getClosestAddress(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.feature.simple.SimpleFeature,org.opengis.filter.FilterFactory2)" class="member-name-link">getClosestAddress</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
 org.opengis.feature.simple.SimpleFeature&nbsp;building,
 org.opengis.filter.FilterFactory2&nbsp;ff)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Recursively look for an address meter by meter.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getClosestEntrance(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,double)" class="member-name-link">getClosestEntrance</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 <a href="../building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 double&nbsp;distanceToSeek)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getClosestParcel(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,double)" class="member-name-link">getClosestParcel</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 <a href="../building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 double&nbsp;distanceToSeek)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getEntrancesFromAddresses(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.filter.FilterFactory2)" class="member-name-link">getEntrancesFromAddresses</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addresses,
 org.opengis.filter.FilterFactory2&nbsp;ff)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Get addresses that represents an entrance</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.feature.simple.SimpleFeatureBuilder</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#getSFBforAffection(java.lang.String,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String%5B%5D)" class="member-name-link">getSFBforAffection</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;method,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;demoColl)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">
<div class="block">Select a predefined SimpleFeatureBuilder for the type of chosen summarization.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#isAuthorizedAddressWord(java.lang.String)" class="member-name-link">isAuthorizedAddressWord</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;word)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#makeLinkBetweenBAN(org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">makeLinkBetweenBAN</a><wbr>(org.geotools.data.simple.SimpleFeatureCollection&nbsp;ban)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4"><code><a href="#separateTypeRoadFromNameRoad(java.lang.String)" class="member-name-link">separateTypeRoadFromNameRoad</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;totalName)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab1 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>AddressUtil</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">AddressUtil</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="isAuthorizedAddressWord(java.lang.String)">
<h3>isAuthorizedAddressWord</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">isAuthorizedAddressWord</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;word)</span></div>
</section>
</li>
<li>
<section class="detail" id="getEntrancesFromAddresses(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.filter.FilterFactory2)">
<h3>getEntrancesFromAddresses</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">getEntrancesFromAddresses</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addresses,
 org.opengis.filter.FilterFactory2&nbsp;ff)</span></div>
<div class="block">Get addresses that represents an entrance</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addresses</code> - input addresses</dd>
<dd><code>ff</code> - filter factory to use (that may fast the process)</dd>
<dt>Returns:</dt>
<dd>entrance addressses (or the input addresses if no <i>typ_loc</i> field)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getClosestEntrance(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,double)">
<h3>getClosestEntrance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</span>&nbsp;<span class="element-name">getClosestEntrance</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 <a href="../building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 double&nbsp;distanceToSeek)</span></div>
</section>
</li>
<li>
<section class="detail" id="getClosestParcel(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,double)">
<h3>getClosestParcel</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</span>&nbsp;<span class="element-name">getClosestParcel</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 <a href="../building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 double&nbsp;distanceToSeek)</span></div>
</section>
</li>
<li>
<section class="detail" id="getClosestAddress(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,boolean,double)">
<h3>getClosestAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</span>&nbsp;<span class="element-name">getClosestAddress</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 <a href="../building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a>&nbsp;building,
 boolean&nbsp;entrance,
 double&nbsp;distanceToSeek)</span></div>
<div class="block">Recursively look for an address meter by meter. Understands if address has is a <i>entrance</i> type rather than a <i>parcel</i> in the <b>typ_loc</b> field.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lAddress</code> - input address collection</dd>
<dd><code>entrance</code> - If no type of point, let true (default value for addresses)</dd>
<dt>Returns:</dt>
<dd>the closest entrance(s) address(es)buffer</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getClosestAddress(java.util.List,org.locationtech.jts.geom.Point,double)">
<h3>getClosestAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</span>&nbsp;<span class="element-name">getClosestAddress</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress,
 org.locationtech.jts.geom.Point&nbsp;p,
 double&nbsp;distanceToSeek)</span></div>
</section>
</li>
<li>
<section class="detail" id="getClosestAddress(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.feature.simple.SimpleFeature,org.opengis.filter.FilterFactory2)">
<h3>getClosestAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">getClosestAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
 org.opengis.feature.simple.SimpleFeature&nbsp;building,
 org.opengis.filter.FilterFactory2&nbsp;ff)</span></div>
<div class="block">Recursively look for an address meter by meter.
 Will preferabily return the entrance if a <b>typ_loc</b> field is found.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressSFC</code> - input address collection</dd>
<dt>Returns:</dt>
<dd>the closest entrance(s) address(es)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectHouseholdsToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>affectHouseholdsToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectHouseholdsToAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</span>
                                                                                  throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Affect the number of households in a building to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectIndivToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>affectIndivToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectIndivToAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</span>
                                                                             throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Affect the number of individuals in a building to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectDemoStatToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String[])">
<h3>affectDemoStatToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectDemoStatToAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;demoColl)</span>
                                                                                throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Affect demographic statistics in a building to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dd><code>demoColl</code> - Array of attributes composing the demographic statistics</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectFieldToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,java.lang.String,java.lang.String[])">
<h3>affectFieldToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectFieldToAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;methodToUse,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;mandatoryAttrName,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;demoColl)</span>
                                                                             throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></span></div>
<div class="block">Affect fields of an input building collection to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dd><code>methodToUse</code> - Method (technique) of which field(s) to attach.</dd>
<dd><code>mandatoryAttrName</code> - An attribute name that value has to be a double, not null or 0 in order for the building to be counted. If empty, check's not done.</dd>
<dd><code>demoColl</code> - (optional)</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/IOException.html" title="class or interface in java.io" class="external-link">IOException</a></code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectBuildingToAddress(java.util.List,java.util.List)">
<h3>affectBuildingToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;</span>&nbsp;<span class="element-name">affectBuildingToAddress</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;? extends <a href="../building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a>&gt;&nbsp;lB,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="Address.html" title="class in fr.ici.buildingActivity.address">Address</a>&gt;&nbsp;lAddress)</span></div>
<div class="block">Attach building information for each address. Uses the defined field of #BuildingGroup and it's not implemented yet for #BuildingSimple
 //TODO finish BuildingSimple case
 If an address is not related to a building, it is not added.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lB</code> - List of building</dd>
<dd><code>lAddress</code> - list of addresses to affect</dd>
<dt>Returns:</dt>
<dd>a list of addresses with field</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectBuildingIDsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">
<h3>affectBuildingIDsPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectBuildingIDsPerAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building)</span></div>
<div class="block">Affect the ID of buildings (from ICI objects) to the closest address(es).</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - building containing <i>NB_INDIV</i> attribute</dd>
<dt>Returns:</dt>
<dd>a collection of <code>SimpleFeature</code> with addressesSFC geometries and number of households</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectHouseholdPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">
<h3>affectHouseholdPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectHouseholdPerAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building)</span></div>
<div class="block">Sum affected households (<i>logements</i> from BDTopo) to the closest address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - buildings containing <i>NB_LOGTS</i> attribute</dd>
<dt>Returns:</dt>
<dd>a collection of <code>SimpleFeature</code> with addressesSFC geometries and number of households</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectIndividualsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">
<h3>affectIndividualsPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectIndividualsPerAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building)</span></div>
<div class="block">Sum affected individuals (from <i>H24</i> export) to the closest address(es).</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - building containing <i>NB_INDIV</i> attribute</dd>
<dt>Returns:</dt>
<dd>a collection of <code>SimpleFeature</code> with addressesSFC geometries and number of households</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectDemoStatPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String[])">
<h3>affectDemoStatPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectDemoStatPerAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;fields)</span></div>
<div class="block">Sum the affected (demographic) data of buildings to the closest address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - buildings containing <i>NB_LOGTS</i> attribute</dd>
<dd><code>fields</code> - the fields to affect</dd>
<dt>Returns:</dt>
<dd>addresses with affection</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectAndSumSingleFieldPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String,java.lang.String)">
<h3>affectAndSumSingleFieldPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">affectAndSumSingleFieldPerAddress</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
 org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
 org.opengis.feature.simple.SimpleFeature&nbsp;building,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;fieldIn,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;fieldOut)</span></div>
<div class="block">Sum a field to the closest address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - buildings containing <i>NB_LOGTS</i> attribute</dd>
<dd><code>fieldIn</code> - name of the field to affect</dd>
<dd><code>fieldOut</code> - name of the field to write in the builder</dd>
<dt>Returns:</dt>
<dd>addresses with affection</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="separateTypeRoadFromNameRoad(java.lang.String)">
<h3>separateTypeRoadFromNameRoad</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">separateTypeRoadFromNameRoad</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;totalName)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSFBforAffection(java.lang.String,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String[])">
<h3>getSFBforAffection</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="element-name">getSFBforAffection</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;method,
 org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;demoColl)</span>
                                                                           throws <span class="exceptions"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/InvalidPropertiesFormatException.html" title="class or interface in java.util" class="external-link">InvalidPropertiesFormatException</a></span></div>
<div class="block">Select a predefined SimpleFeatureBuilder for the type of chosen summarization. Mostly add column(s) to address schema.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>method</code> - Name of the type of affection to operate</dd>
<dd><code>addressSFC</code> - Collection of address</dd>
<dd><code>demoColl</code> - optional array of fields to add</dd>
<dt>Returns:</dt>
<dd>the builder with the address's schema + wanted schema</dd>
<dt>Throws:</dt>
<dd><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/InvalidPropertiesFormatException.html" title="class or interface in java.util" class="external-link">InvalidPropertiesFormatException</a></code> - If method of affection not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeLinkBetweenBAN(org.geotools.data.simple.SimpleFeatureCollection)">
<h3>makeLinkBetweenBAN</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="element-name">makeLinkBetweenBAN</span><wbr><span class="parameters">(org.geotools.data.simple.SimpleFeatureCollection&nbsp;ban)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
